> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

Work items are the fundamental unit of work in Plane. They represent tasks that need to be accomplished — assignable, trackable, and actionable to-dos in your project management workflow.

[Learn more about Work Items →](https://docs.plane.so/core-concepts/issues/overview)

<Warning>
  **Deprecation notice**

  We are deprecating all `/api/v1/.../issues/` endpoints in favor of `/api/v1/.../work-items/`.

  **End of support**\
  31st March 2026

  **What you need to do**\
  To ensure uninterrupted service, replace all `/issues/` references with `/work-items/` in your codebase before the support end date.
</Warning>

## The Work Item object

**Attributes**

* `name` *string* **(required)**

  Name of the work item

* `created_at` , `updated_at` *timestamp*

  Timestamp of the work item when it was created and when it was last updated

* `estimate_point` *integer* or *null*

  Total estimate points for the work item takes value between (0,7).

* `description_html` *string*

  HTML description of the work item

* `description_stripped` *string*

  Stripped version of the html description auto generated using the application.

* `priority` *string*

  Priority of the work item takes in 5 values

  * none
  * urgent
  * high
  * medium
  * low

* `start_date` *date*

  Start date of the work item

* `target_date` *date*

  Target date of the work item

* `sequence_id` *integer*

  Auto generated from the system the unique identifier of the work item

* `sort_order` *decimal*

  Auto generated from the system during creation used for ordering

* `completed_at` *timestamp* or *null*

  Timestamp when the work item is moved to any completed group state

* `created_by` & `updated_by`

  This values are auto saved and represent the id of the user that created or the updated the project.

* `project` *uuid*

  The project which the work item is part of auto generated from backend

* `workspace` *uuid*

  The workspace which the work item is part of auto generated from backend

* `parent` *uuid*

  The uuid of the parent work item which should be part of the same workspace

* `state` *uuid*

  The uuid of the state which is present in the project where the work item is being created.

* `assignees` - *\[uuid,]*

  The array of uuids of the users who are part of the project where the work item is being created or updated.

* `labels` - *\[uuid,]*

  The array of uuids of the labels which are present in the project where the work item is being created or updated.

* `type` *uuid*

  The uuid of the work item type for the work item.

* `module` *uuid*

  The uuid of the module the work item belongs to.

* `is_draft` *boolean*

  Whether the work item is a draft.

* `archived_at` *timestamp* or *null*

  Timestamp when the work item was archived.

* `description_binary` *string*

  Binary description of the work item.

**Expandable Fields**

The following fields can be expanded when retrieving a work item by including them in the `expand` query parameter:

* `type` - Expands to full WorkItemType object
* `module` - Expands to full Module object
* `labels` - Expands to array of full Label objects
* `assignees` - Expands to array of full User objects
* `state` - Expands to full State object
* `project` - Expands to full Project object

<ResponseExample>
  ```json WORK ITEM OBJECT theme={null}
  {
  	"id": "e1c25c66-5bb8-465e-a818-92a483423443",
  	"created_at": "2023-11-19T11:56:55.176802Z",
  	"updated_at": "2023-11-19T11:56:55.176809Z",
  	"estimate_point": null,
  	"name": "First Work Item",
  	"description_html": "<p></p>",
  	"description_stripped": "",
  	"priority": "none",
  	"start_date": "2023-09-01",
  	"target_date": "2023-10-04",
  	"sequence_id": 421,
  	"sort_order": 265535.0,
  	"completed_at": null,
  	"archived_at": null,
  	"is_draft": false,
  	"created_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430",
  	"updated_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430",
  	"project": "4af68566-94a4-4eb3-94aa-50dc9427067b",
  	"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
  	"parent": null,
  	"state": "f3f045db-7e74-49f2-b3b2-0b7dee4635ae",
  	"assignees": [
  		"797b5aea-3f40-4199-be84-5f94e0d04501"
  	],
  	"labels": []
  }

  ```
</ResponseExample>
